<?php

namespace Modules\Cotacao\Modules\Pedido\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response\Message;
use Modules\Cotacao\Modules\Pedido\Services\Sup09700VariacaoDePrecosDosProdutosParaCotacaoViaInternetService;

class Sup09700VariacaoDePrecosDosProdutosParaCotacaoViaInternetController
{
    
	public function __construct(Sup09700VariacaoDePrecosDosProdutosParaCotacaoViaInternetService $service)
	{
	    $this->service = $service;
	}

    public function updatePercentage(DTO\Request\Row $request, DTO\Response $response)
    {
        $rows = $request->getRow();

        foreach($rows as $row) {
            if (!empty($row)) {
                $this->service->updatePercentage($row);
            }
        }    
    }
}